namespace Dashboard.ImmediateDraw
{
    /// <summary>
    /// Enumeration of command types in the Dashboard command lists.
    /// </summary>
    public enum FrameType
    {
        /// <summary>
        /// A null value.
        /// </summary>
        None,

        /// <summary>
        /// A command frame.
        /// </summary>
        Command,

        /// <summary>
        /// An integer frame.
        /// </summary>
        IVec1,

        /// <summary>
        /// A two dimensional integer vector frame.
        /// </summary>
        IVec2,

        /// <summary>
        /// A three dimensional integer vector frame.
        /// </summary>
        IVec3,

        /// <summary>
        /// A four dimensional integer vector frame.
        /// </summary>
        IVec4,

        /// <summary>
        /// A floating point frame.
        /// </summary>
        Vec1,

        /// <summary>
        /// A two dimensional floating point vector frame.
        /// </summary>
        Vec2,

        /// <summary>
        /// A three dimensional floating point vector frame.
        /// </summary>
        Vec3,

        /// <summary>
        /// A four dimensional floating point vector frame.
        /// </summary>
        Vec4,

        /// <summary>
        /// A serialized object frame.
        /// </summary>
        Serialized,

        /// <summary>
        /// A .Net object frame.
        /// </summary>
        Object,
    }
}